import { Content } from "../components/Content.tsx";
import { StatusManager } from "../islands/statusManager.tsx";
import { Terminal } from "../islands/terminal.tsx";
import { SERVER_STATE } from "../state/serverState.ts";

export default function TerminalPage() {
  const chId = SERVER_STATE.channelId;
  return (
    <div class="container p-8">
      <Content>
        <div>
          <StatusManager class="ml-auto" />
        </div>
        <Terminal channelId={chId} />
      </Content>
    </div>
  );
}